# Uses of Interface
org.eclipse.ltk.core.refactoring.IValidationCheckResultQueryFactory

Packages that use IValidationCheckResultQueryFactory
Package
Description
org.eclipse.ltk.core.refactoring
Application programmer interface to implement semantic preserving workspace transformations.

## Uses of IValidationCheckResultQueryFactory in org.eclipse.ltk.core.refactoring

Methods in org.eclipse.ltk.core.refactoring that return IValidationCheckResultQueryFactory
Modifier and Type
Method
Description
`static IValidationCheckResultQueryFactory`
RefactoringCore.`getQueryFactory()`
Returns the query factory.
Methods in org.eclipse.ltk.core.refactoring with parameters of type IValidationCheckResultQueryFactory
Modifier and Type
Method
Description
`static void`
RefactoringCore.`internalSetQueryFactory(IValidationCheckResultQueryFactory factory)`
An internal method to set the query factory.